<components xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:bpm="http://jboss.org/schema/seam/bpm" 
	xmlns:core="http://jboss.org/schema/seam/core" 
	xmlns:pdf="http://jboss.org/schema/seam/pdf" 
	xmlns:persistence="http://jboss.org/schema/seam/persistence" 
	xmlns:security="http://jboss.org/schema/seam/security" 
	xmlns:document="http://jboss.org/schema/seam/document" 
	xmlns:excel="http://jboss.org/schema/seam/excel" 
	xmlns:web="http://jboss.org/schema/seam/web" 
	xmlns:async="http://jboss.org/schema/seam/async" 
	xmlns:mail="http://jboss.org/schema/seam/mail" 
	xmlns="http://jboss.org/schema/seam/components" 
	xsi:schemaLocation="http://jboss.org/schema/seam/core http://jboss.org/schema/seam/core-2.3.xsd  http://jboss.org/schema/seam/persistence http://jboss.org/schema/seam/persistence-2.3.xsd  http://jboss.org/schema/seam/bpm http://jboss.org/schema/seam/bpm-2.3.xsd  http://jboss.org/schema/seam/security http://jboss.org/schema/seam/security-2.3.xsd  http://jboss.org/schema/seam/async http://jboss.org/schema/seam/async-2.3.xsd  http://jboss.org/schema/seam/mail http://jboss.org/schema/seam/mail-2.3.xsd  http://jboss.org/schema/seam/components http://jboss.org/schema/seam/components-2.3.xsd  http://jboss.org/schema/seam/pdf http://jboss.org/schema/seam/pdf-2.3.xsd  http://jboss.org/schema/seam/pageflow http://jboss.org/schema/seam/pageflow-2.3.xsd  http://jboss.org/schema/seam/document http://jboss.org/schema/seam/document-2.3.xsd  http://jboss.org/schema/seam/document http://jboss.org/schema/seam/web-2.3.xsd  http://jboss.org/schema/seam/excel http://jboss.org/schema/seam/excel-2.3.xsd">
  <core:manager concurrent-request-timeout="500" conversation-timeout="120000" conversation-id-parameter="cid"/>
<!--   <persistence:managed-persistence-context auto-create="true" name="entityManager" persistence-unit-jndi-name="java:jboss/root/CDAGenerator-EntityManagerFactory"/> -->
<!-- 	<persistence:entity-manager-factory -->
<!-- 		name="CDAGeneratorEntityManagerFactory" persistence-unit-name="CDAGenerator-PersistenceUnit" /> -->
	<persistence:managed-persistence-context
		name="entityManager" auto-create="true" entity-manager-factory="#{entityManagerFactory}" />
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESAdxpCensusTractEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESAdxpCensusTractEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESAdxpStateEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESAdxpStateEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESAdxpDirectionEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESAdxpDirectionEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESAdxpCountyEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESAdxpCountyEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESHXITCEEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESHXITCEEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESRTOPQPQEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESRTOPQPQEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESIVXBPPDTSEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESIVXBPPDTSEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESAdxpStreetNameBaseEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESAdxpStreetNameBaseEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESAdxpDeliveryInstallationTypeEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESAdxpDeliveryInstallationTypeEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040ReferenceEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040ReferenceEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESEnDelimiterEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESEnDelimiterEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040ManufacturedProductEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040ManufacturedProductEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESSXCMREALEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESSXCMREALEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040ProcedureEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040ProcedureEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESIVLREALEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESIVLREALEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040ParticipantRoleEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040ParticipantRoleEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESSXCMPPDPQEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESSXCMPPDPQEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040EncounterEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040EncounterEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESEIVLEventEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESEIVLEventEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040ObservationMediaEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040ObservationMediaEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESAdxpDeliveryModeIdentifierEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESAdxpDeliveryModeIdentifierEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040AssociatedEntityEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040AssociatedEntityEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESEnSuffixEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESEnSuffixEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040OrganizerEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040OrganizerEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESBXITIVLPQEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESBXITIVLPQEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040PatientRoleEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040PatientRoleEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESCOEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESCOEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040SubjectEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040SubjectEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESIVXBPQEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESIVXBPQEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040AssignedCustodianEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040AssignedCustodianEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESAdxpAdditionalLocatorEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESAdxpAdditionalLocatorEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040AuthenticatorEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040AuthenticatorEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESThumbnailEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESThumbnailEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040PlaceEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040PlaceEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESIVXBINTEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESIVXBINTEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040Component4EditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040Component4EditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESAdxpStreetNameEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESAdxpStreetNameEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040ConsumableEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040ConsumableEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESAdxpStreetNameTypeEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESAdxpStreetNameTypeEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040ObservationEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040ObservationEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESPQREditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESPQREditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040RegionOfInterestEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040RegionOfInterestEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESEnFamilyEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESEnFamilyEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040PersonEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040PersonEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESPIVLTSEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESPIVLTSEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040ParentDocumentEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040ParentDocumentEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESRTOEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESRTOEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040DocumentationOfEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040DocumentationOfEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESIVXBREALEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESIVXBREALEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040ActEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040ActEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESEDEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESEDEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040IntendedRecipientEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040IntendedRecipientEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESAdxpHouseNumberNumericEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESAdxpHouseNumberNumericEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040Informant12EditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040Informant12EditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESCDEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESCDEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040InFulfillmentOfEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040InFulfillmentOfEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESEnGivenEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESEnGivenEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040OrganizationPartOfEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040OrganizationPartOfEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESENXPEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESENXPEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040MaterialEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040MaterialEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESTELEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESTELEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040RelatedEntityEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040RelatedEntityEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESIIEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESIIEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040CustodianOrganizationEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040CustodianOrganizationEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESSXCMMOEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESSXCMMOEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040SpecimenRoleEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040SpecimenRoleEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESAdxpUnitTypeEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESAdxpUnitTypeEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040BirthplaceEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040BirthplaceEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESSLISTPQEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESSLISTPQEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040SubjectPersonEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040SubjectPersonEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESSCEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESSCEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040ReferenceRangeEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040ReferenceRangeEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESUVPTSEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESUVPTSEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040MaintainedEntityEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040MaintainedEntityEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESIVLPPDTSEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESIVLPPDTSEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040AuthorEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040AuthorEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESEIVLPPDTSEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESEIVLPPDTSEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040RelatedSubjectEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040RelatedSubjectEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESTSEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESTSEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040Component3EditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040Component3EditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESPPDTSEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESPPDTSEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040Component1EditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040Component1EditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESAdxpCountryEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESAdxpCountryEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040LocationEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040LocationEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESAdxpBuildingNumberSuffixEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESAdxpBuildingNumberSuffixEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040ExternalDocumentEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040ExternalDocumentEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESINTEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESINTEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040ClinicalDocumentEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040ClinicalDocumentEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESPQEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESPQEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESGLISTTSEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESGLISTTSEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040DeviceEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040DeviceEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESADXPEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESADXPEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040LabeledDrugEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040LabeledDrugEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESTNEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESTNEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040HealthCareFacilityEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040HealthCareFacilityEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESIVLINTEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESIVLINTEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040CriterionEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040CriterionEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESIVLTSEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESIVLTSEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040SectionEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040SectionEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESPNEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESPNEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040ProductEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040ProductEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESONEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESONEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESCVEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESCVEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040ServiceEventEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040ServiceEventEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESIVLPPDPQEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESIVLPPDPQEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040DataEntererEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040DataEntererEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESADEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESADEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040InformationRecipientEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040InformationRecipientEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESIVXBPPDPQEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESIVXBPPDPQEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040PatientEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040PatientEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESRTOQTYQTYEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESRTOQTYQTYEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040ConsentEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040ConsentEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESSXCMPPDTSEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESSXCMPPDTSEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040AssignedEntityEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040AssignedEntityEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESAdxpDeliveryInstallationQualifierEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESAdxpDeliveryInstallationQualifierEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040GuardianEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040GuardianEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESSXCMTSEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESSXCMTSEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040EncounterParticipantEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040EncounterParticipantEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESAdxpHouseNumberEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESAdxpHouseNumberEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040RecordTargetEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040RecordTargetEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESEIVLTSEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESEIVLTSEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040CustodianEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040CustodianEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESMOEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESMOEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040LanguageCommunicationEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040LanguageCommunicationEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESAdxpUnitIDEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESAdxpUnitIDEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040PreconditionEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040PreconditionEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESREALEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESREALEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESANYNonNullEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESANYNonNullEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040RegionOfInterestValueEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040RegionOfInterestValueEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESENEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESENEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040SubstanceAdministrationEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040SubstanceAdministrationEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESAdxpCityEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESAdxpCityEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040RelatedDocumentEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040RelatedDocumentEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESSTEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESSTEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040AuthoringDeviceEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040AuthoringDeviceEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESBNEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESBNEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040Participant1EditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040Participant1EditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESEnPrefixEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESEnPrefixEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040AssignedAuthorEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040AssignedAuthorEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESGLISTPQEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESGLISTPQEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040ObservationRangeEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040ObservationRangeEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESSXCMINTEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESSXCMINTEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040Component5EditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040Component5EditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESAdxpPostBoxEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESAdxpPostBoxEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040OrganizationEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040OrganizationEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESIVLPQEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESIVLPQEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESCSEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESCSEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040ExternalProcedureEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040ExternalProcedureEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESSXCMPQEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESSXCMPQEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040EncompassingEncounterEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040EncompassingEncounterEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESAdxpPostalCodeEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESAdxpPostalCodeEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040Component2EditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040Component2EditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESAdxpDeliveryInstallationAreaEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESAdxpDeliveryInstallationAreaEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040Performer1EditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040Performer1EditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESSXCMCDEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESSXCMCDEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040SupplyEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040SupplyEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESHXITPQEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESHXITPQEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040Participant2EditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040Participant2EditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESIVXBTSEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESIVXBTSEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040ExternalObservationEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040ExternalObservationEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESAdxpDeliveryModeEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESAdxpDeliveryModeEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040Performer2EditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040Performer2EditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESIVLMOEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESIVLMOEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESPPDPQEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESPPDPQEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESPIVLPPDTSEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESPIVLPPDTSEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESRTOMOPQEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESRTOMOPQEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040PlayingEntityEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040PlayingEntityEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESBXITCDEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESBXITCDEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040EntryRelationshipEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040EntryRelationshipEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESAdxpDelimiterEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESAdxpDelimiterEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040AuthorizationEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040AuthorizationEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESAdxpStreetAddressLineEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESAdxpStreetAddressLineEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040OrderEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040OrderEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESAdxpCareOfEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESAdxpCareOfEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040ResponsiblePartyEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040ResponsiblePartyEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESAdxpDeliveryAddressLineEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESAdxpDeliveryAddressLineEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040NonXMLBodyEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040NonXMLBodyEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESCEEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESCEEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040EntryEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040EntryEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESSLISTTSEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESSLISTTSEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040ExternalActEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040ExternalActEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESCREditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESCREditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040StructuredBodyEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040StructuredBodyEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESAdxpPrecinctEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESAdxpPrecinctEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040LegalAuthenticatorEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040LegalAuthenticatorEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESIVXBMOEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESIVXBMOEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040SpecimenEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040SpecimenEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESBLEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESBLEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040InfrastructureRootTypeIdEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040InfrastructureRootTypeIdEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.datatypes.DATATYPESSXPRTSEditorManager" jndi-name="java:app/datatypes-editor-jar/DATATYPESSXPRTSEditorManager"/>
  <component class="net.ihe.gazelle.cda.editor.action.cda.CDAPOCDMT000040EntityEditorManager" jndi-name="java:app/cda-editor-jar/CDAPOCDMT000040EntityEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.nblock.NBLOCKStrucDocTitleContentEditorManager" jndi-name="java:app/nblock-editor-jar/NBLOCKStrucDocTitleContentEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.nblock.NBLOCKStrucDocFootnoteEditorManager" jndi-name="java:app/nblock-editor-jar/NBLOCKStrucDocFootnoteEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.nblock.NBLOCKStrucDocLinkHtmlEditorManager" jndi-name="java:app/nblock-editor-jar/NBLOCKStrucDocLinkHtmlEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.nblock.NBLOCKStrucDocTfootEditorManager" jndi-name="java:app/nblock-editor-jar/NBLOCKStrucDocTfootEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.nblock.NBLOCKStrucDocCaptionEditorManager" jndi-name="java:app/nblock-editor-jar/NBLOCKStrucDocCaptionEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.nblock.NBLOCKStrucDocColgroupEditorManager" jndi-name="java:app/nblock-editor-jar/NBLOCKStrucDocColgroupEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.nblock.NBLOCKStrucDocListEditorManager" jndi-name="java:app/nblock-editor-jar/NBLOCKStrucDocListEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.nblock.NBLOCKStrucDocThEditorManager" jndi-name="java:app/nblock-editor-jar/NBLOCKStrucDocThEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.nblock.NBLOCKStrucDocContentEditorManager" jndi-name="java:app/nblock-editor-jar/NBLOCKStrucDocContentEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.nblock.NBLOCKStrucDocTableEditorManager" jndi-name="java:app/nblock-editor-jar/NBLOCKStrucDocTableEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.nblock.NBLOCKStrucDocItemEditorManager" jndi-name="java:app/nblock-editor-jar/NBLOCKStrucDocItemEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.nblock.NBLOCKStrucDocSupEditorManager" jndi-name="java:app/nblock-editor-jar/NBLOCKStrucDocSupEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.nblock.NBLOCKStrucDocRenderMultiMediaEditorManager" jndi-name="java:app/nblock-editor-jar/NBLOCKStrucDocRenderMultiMediaEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.nblock.NBLOCKStrucDocTdEditorManager" jndi-name="java:app/nblock-editor-jar/NBLOCKStrucDocTdEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.nblock.NBLOCKStrucDocTitleFootnoteEditorManager" jndi-name="java:app/nblock-editor-jar/NBLOCKStrucDocTitleFootnoteEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.nblock.NBLOCKStrucDocBrEditorManager" jndi-name="java:app/nblock-editor-jar/NBLOCKStrucDocBrEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.nblock.NBLOCKStrucDocTitleEditorManager" jndi-name="java:app/nblock-editor-jar/NBLOCKStrucDocTitleEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.nblock.NBLOCKStrucDocColEditorManager" jndi-name="java:app/nblock-editor-jar/NBLOCKStrucDocColEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.nblock.NBLOCKStrucDocParagraphEditorManager" jndi-name="java:app/nblock-editor-jar/NBLOCKStrucDocParagraphEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.nblock.NBLOCKStrucDocSubEditorManager" jndi-name="java:app/nblock-editor-jar/NBLOCKStrucDocSubEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.nblock.NBLOCKStrucDocTheadEditorManager" jndi-name="java:app/nblock-editor-jar/NBLOCKStrucDocTheadEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.nblock.NBLOCKStrucDocFootnoteRefEditorManager" jndi-name="java:app/nblock-editor-jar/NBLOCKStrucDocFootnoteRefEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.nblock.NBLOCKStrucDocTextEditorManager" jndi-name="java:app/nblock-editor-jar/NBLOCKStrucDocTextEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.nblock.NBLOCKStrucDocTrEditorManager" jndi-name="java:app/nblock-editor-jar/NBLOCKStrucDocTrEditorManager"/>
  <component class="net.ihe.gazelle.editor.action.nblock.NBLOCKStrucDocTbodyEditorManager" jndi-name="java:app/nblock-editor-jar/NBLOCKStrucDocTbodyEditorManager"/>
  <component class="net.ihe.gazelle.cdagen.edispensation.action.AuthorManager" jndi-name="java:app/CDAGenerator-ejb/AuthorManager"/>
  <component class="net.ihe.gazelle.cdagen.action.CDAObjectTypeManager" jndi-name="java:app/CDAGenerator-ejb/CDAObjectTypeManager"/>
  <component class="net.ihe.gazelle.cdagen.eprescription.action.EPrescManager" jndi-name="java:app/CDAGenerator-ejb/EPrescManager"/>
  <component class="net.ihe.gazelle.cdagen.edispensation.action.ViewResult" jndi-name="java:app/CDAGenerator-ejb/ViewResult"/>
  <component class="net.ihe.gazelle.common.report.ReportExporterManager" jndi-name="java:app/gazelle-tm-tools/ReportExporterManager"/>
  <component class="net.ihe.gazelle.tm.report.action.ReportManager" jndi-name="java:app/gazelle-tm-tools/ReportManager"/>
  <component class="net.ihe.gazelle.common.util.DocumentFileUpload" jndi-name="java:app/gazelle-tm-tools/DocumentFileUpload"/>
  <component class="org.jboss.seam.async.TimerServiceDispatcher" jndi-name="java:app/jboss-seam/TimerServiceDispatcher"/>
  <component class="org.jboss.seam.transaction.EjbSynchronizations" jndi-name="java:app/jboss-seam/EjbSynchronizations"/>
<!--   <component class="net.ihe.gazelle.assertion.ws.AssertionWSProvider" jndi-name="java:app/mbval-documentation-ejb/AssertionWSProvider"/> -->
  <component class="net.ihe.gazelle.xdw.editor.action.common.CommonEditorManager" jndi-name="java:app/common-editor-jar/CommonEditorManager"/>
  <component class="net.ihe.gazelle.common.action.PUProvider" jndi-name="java:app/gazelle-seam-tools-jar/PUProvider"/>
  <component class="net.ihe.gazelle.cdagen.hl7templates.validation.CDATemplatesManager" jndi-name="java:app/CDAGenerator-ejb/cdaTemplatesManager"/>
  <component class="net.ihe.gazelle.cdagen.hl7templates.validation.ProcessValidation" jndi-name="java:app/CDAGenerator-ejb/ProcessValidation"/>
  <component class="net.ihe.gazelle.cdagen.bbr.action.ProcessBBR" jndi-name="java:app/CDAGenerator-ejb/ProcessBBR"/>
  <component class="net.ihe.gazelle.metadata.ws.VersionControllerImpl"
             jndi-name="java:module/metadata-v7/VersionControllerImpl"/>
  <component class="net.ihe.gazelle.metadata.ws.MetadataServiceControllerImpl"
             jndi-name="java:module/metadata-v7/MetadataServiceControllerImpl"/>

  <component name="ScorecardWS"
               class="net.ihe.gazelle.cdagen.scorecard.ws.ScorecardWS" jndi-name="java:app/CDAGenerator-ejb/ScorecardWS" />
  <component name="TemplatesWS"
	class="net.ihe.gazelle.cdagen.scorecard.ws.TemplatesWS" jndi-name="java:app/CDAGenerator-ejb/TemplatesWS" />
  <component name="BBRWS"
             class="net.ihe.gazelle.cdagen.bbr.ws.BBRWS" jndi-name="java:app/CDAGenerator-ejb/BBRWS" />
  <core:init debug="false" jndi-pattern="java:jboss/CDAGenerator/#{ejbName}/local"/>

<!--   <async:quartz-dispatcher/> -->
  <event type="org.jboss.seam.security.notLoggedIn">
    <action execute="#{redirect.captureCurrentView}"/>
  </event>
  <event type="org.jboss.seam.security.loginSuccessful">
    <action execute="#{redirect.returnToCapturedView}"/>
  </event>
  <mail:mail-session host="localhost" port="25"/>
  <security:remember-me enabled="true"/>
  <web:multipart-filter  disabled="true" create-temp-files="true" max-request-size="1000000" url-pattern="*.seam"/>
</components>
